CURSES_TERMCAP(3)

NAME
curses_termcap, fullname, getcap, longname - curses termcap querying routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
char *
fullname(char *termbuf, char *name);
char *
getcap(char *name);
char *
longname(void);

DESCRIPTION
The fullname() function takes the termcap entry in termbuf and copies the full name of the terminal from the entry into the target variable name. The full name of the terminal is assumed to be the last alias in the termcap entry name. It is assumed that the name variable has sufficient storage to hold the full name of the terminal.

A termcap entry can be retrieved by calling the getcap() function with the name of the capability in name. The matching capability string for the terminal is returned.

The longname() function returns a verbose description of the terminal which is taken from the last name alias in the termcap description for the terminal. This string will be at most 128 characters long and will only be defined after a call to initscr() or newterm().

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

SEE ALSO
termcap(5)

STANDARDS
The libcurses library complies with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
The Curses package appeared in 4.0BSD.